Bug 1187527 - It's not possible to add a standalone storage node
Summary: It's not possible to add a standalone storage node
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR01
: JON 3.3.3
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Regression, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-30 11:00 UTC by Filip Brychta
Modified: 2015-07-30 16:41 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:29 UTC


Attachments (Terms of Use)
agent server2 log (1.23 KB, text/plain)
2015-01-30 11:00 UTC, Filip Brychta
no flags Details
storage server2 log (28.29 KB, text/plain)
2015-01-30 11:00 UTC, Filip Brychta
no flags Details
server1 log (844.07 KB, text/plain)
2015-01-30 11:01 UTC, Filip Brychta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC
Red Hat Bugzilla 1158228 None None None Never
Red Hat Bugzilla 1180343 None None None Never

Internal Trackers: 1158228 1180343

Description Filip Brychta 2015-01-30 11:00:08 UTC
Created attachment 985935 [details]
agent server2 log

Description of problem:
Using the same approach as for JON 3.2.0.GA it's not possible to add a standalone storage node.

Version-Release number of selected component (if applicable):
Version :	
3.3.0.GA
Build Number :	
4f16df3:e347f77

How reproducible:
3/3

Steps to Reproduce:
1. install and start JON server + storage node + agent on server1 (./rhqctl install)
2. try to add standalone storage node on server2:
  a) unzip the package
  b) run ./rhqctl install --storage --agent-preference="rhq.agent.server.bind-address=<server1-ip>"
3. start it (./rhqctl start)

Actual results:
Agent is not registered with the server.
Storage node is not added to cluster.

Expected results:
Agent is registered
Storage node is added to existing cluster.

Additional info:
Logs attached

Comment 1 Filip Brychta 2015-01-30 11:00:41 UTC
Created attachment 985936 [details]
storage server2 log

Comment 2 Filip Brychta 2015-01-30 11:01:11 UTC
Created attachment 985937 [details]
server1 log

Comment 5 Michael Burman 2015-02-03 12:20:52 UTC
Can't replicate in the master and this has nothing to do with the BZ 1180343.

17:47:04,398 INFO  [org.rhq.server.control.command.Install] Overriding agent preference: rhq.agent.server.bind-address=192.168.1.105
17:47:04,422 INFO  [org.rhq.server.control.command.Install] Finished configuring the agent
[rhq@grace-bsd ~/rhq-server-4.14.0-SNAPSHOT/bin]$ grep 'bind-address' ~/.java/.userPrefs/rhq-agent/default/prefs.xml
  <entry key="rhq.agent.server.bind-address" value="192.168.1.105"/>
  <entry key="rhq.communications.multicast-detector.bind-address" value="0.0.0.0"/>
[rhq@grace-bsd ~/rhq-server-4.14.0-SNAPSHOT/bin]$

Next time it would be nice to see in the logs the installation process, if it did actually prompt "Overriding", but I'll check what's the difference between 3.3 and master..

Comment 6 Michael Burman 2015-02-03 13:26:14 UTC
Actually I can't repeat this with 3.3.0.GA parts either..

[install] [echo] DONE! Agent version 4.12.0.JON330GA (build number=e347f77) has been installed to /home/jon
08:23:01,049 INFO  [org.rhq.server.control.command.Install] The agent installer finished running with exit value 0
08:23:01,050 INFO  [org.rhq.server.control.command.Install] Configuring the RHQ agent with default configuration file: /home/jon/rhq-agent/conf/agent-configuration.xml
08:23:01,357 INFO  [org.rhq.server.control.command.Install] Overriding agent preference: rhq.agent.server.bind-address=10.16.23.208
08:23:01,581 INFO  [org.rhq.server.control.command.Install] Finished configuring the agent
[jon@miburman-storage bin]$ grep 'bind-address' ~/.java/.userPrefs/rhq-agent/default/prefs.xml 
  <entry key="rhq.agent.server.bind-address" value="10.16.23.208"/>
  <entry key="rhq.communications.multicast-detector.bind-address" value="0.0.0.0"/>
[jon@miburman-storage bin]$

But, now I get it. It's not in the installer, but actually rhq-agent starting process:

2015-02-03 08:24:05,382 INFO  [main] (org.rhq.enterprise.agent.AgentMain)- {AgentMain.agent-config-file-reload-marker-file-found}Agent told to reload agent config file [agent-configuration.xml] due to marker file existence.

And then it removes the information (it's originally in the prefs.xml, but is removed).

Comment 7 Michael Burman 2015-02-05 11:52:57 UTC
Fixed in the master. Copies the original agent-configuration.xml to agent-configuration.xml.orig and stores the modified preferences tree to agent-configuration.xml for auto-reload on next startup.

commit c5bf022f3290abff7710ed8b3330d5f678d0c347
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Feb 5 13:51:38 2015 +0200

    [BZ 1187527] If --agent-preference is given, store the modified preferences to agent-configuration.xml and backup the original one with comments

Comment 8 Simeon Pinder 2015-06-08 14:38:39 UTC
Cherry-picked to release/jon3.3.x.

commit 7594e6ad276587d5b88c9164b31c55834a874cdb
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Feb 5 13:51:38 2015 +0200

    [BZ 1187527] If --agent-preference is given, store the modified preferences to ag

Moving to MODIFIED for testing with next brew build.

Comment 9 Simeon Pinder 2015-06-08 20:53:19 UTC
Moving to ON_QA for testing with latest brew build:

https://brewweb.devel.redhat.com/buildinfo?buildID=439630
* Maps to 3.3.3 DR01 build.

Comment 10 Filip Brychta 2015-06-09 12:25:23 UTC
Verified on
Version :	
3.3.0.GA Update 03
Build Number :	
82ad0cc:a25836e

Comment 12 errata-xmlrpc 2015-07-30 16:41:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.